#
# spec file for package pointful
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%global pkg_name pointful

Name:           pointful 
Version:        1.0.8
Release:        1.13
Summary:        Pointful refactoring tool
Group:          Development/Languages/Other

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-haskell-src-exts-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
Stand-alone command-line version of the pointful plugin for Lambdabot.


%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.


%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Other
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       ghc-%{name} = %{version}-%{release}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.


%prep
%setup -q

%build
%ghc_lib_build


%install
%ghc_lib_install


%post -n ghc-%{name}-devel
%ghc_pkg_recache


%postun -n ghc-%{name}-devel
%ghc_pkg_recache


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/%{name}


%files -n ghc-%{name} -f ghc-%{name}.files
%defattr(-,root,root,-)
%doc LICENSE


%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files
%defattr(-,root,root,-)


%changelog
* Mon May 30 2016 mimi.vx@gmail.com
- update to 1.0.8
* Wed Mar 16 2016 mimi.vx@gmail.com
- update to 1.0.7
- drop fix-haskell-src-exts.patch , addopted by upstream
* Tue Dec 15 2015 mimi.vx@gmail.com
- add fix-haskell-src-exts.patch -- Sergei Trofimovich <siarheit@google.com>
* Thu Jun 18 2015 mimi.vx@gmail.com
- initial commit
